Index: miscinit.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/utils/init/miscinit.c,v
retrieving revision 1.133
diff -u -r1.133 miscinit.c
--- miscinit.c	1 Oct 2004 18:30:25 -0000	1.133
+++ miscinit.c	4 Oct 2004 13:35:38 -0000
@@ -541,7 +541,13 @@
 		 * Normally kill() will fail with ESRCH if the given PID doesn't
 		 * exist.  BeOS returns EINVAL for some silly reason, however.
 		 */
+		
+		/* There is no getppid() on Windows, and no clean way to implement one */
+#ifndef WIN32
 		if (other_pid != my_pid && other_pid != getppid())
+#else
+		if (other_pid != my_pid)
+#endif
 		{
 			if (kill(other_pid, 0) == 0 ||
 				(errno != ESRCH
